com.streambase.sb

## Interface Constants

-     public interface Constants

  Useful constants describing entities in the system container

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Constants.ContainerState` status of a container sent on the control stream as container events
    `static class` | `Constants.LeadershipStatus` Deprecated. Legacy high-availability service, migrate to SB 10 high-availability service.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLUSTER_EVENT_TYPE_NODE` Event type Node for Cluster Notification system tuple id field
    `static int` | `CLUSTER_EVENT_TYPE_PARTITION` Event type Partition for Cluster Notification system tuple id field
    `static int` | `CLUSTER_EVENT_TYPE_QUORUM` Event type Quorum for Cluster Notification system tuple id field
    `static String` | `CONNECTIONS_SCHEMA`
    `static String` | `CONNECTIONS_STREAM_NAME`
    `static int` | `CONTAINER_STATE_START`
    `static int` | `CONTAINER_STATE_STARTING` constants used in the ContainerState enum
    `static int` | `CONTAINER_STATE_STOPPED`
    `static int` | `CONTAINER_STATE_STOPPING`
    `static int` | `CONTROL_PARAM_LEN`
    `static String` | `CONTROL_SCHEMA`
    `static String` | `CONTROL_STREAM_NAME`
    `static int` | `CONTROL_SUBSYS_LEN`
    `static String` | `ERROR_SCHEMA`
    `static String` | `ERROR_STREAM_NAME`
    `static String` | `QUALIFIED_CONNECTIONS_STREAM`
    `static String` | `QUALIFIED_CONTROL_STREAM`
    `static String` | `QUALIFIED_ERROR_STREAM`
    `static String` | `QUALIFIED_STAT_STREAM`
    `static String` | `QUALIFIED_STAT_STREAM_V3`
    `static String` | `QUALIFIED_SUBSCRIPTIONS_STREAM`
    `static String` | `STAT_SCHEMA`
    `static String` | `STAT_SCHEMA_V3`
    `static String` | `STAT_STREAM_NAME`
    `static String` | `STAT_STREAM_NAME_V3`
    `static String` | `SUBSCRIPTIONS_SCHEMA`
    `static String` | `SUBSCRIPTIONS_STREAM_NAME`
    `static String` | `SYSTEM_CONTAINER_NAME`
    `static String` | `SYSTEM_PREFIX`

- - ### Field Detail

    - #### SYSTEM_PREFIX

          static final String SYSTEM_PREFIX

      See Also:
        Constant Field Values

    - #### SYSTEM_CONTAINER_NAME

          static final String SYSTEM_CONTAINER_NAME

      See Also:
        Constant Field Values

    - #### CONTROL_STREAM_NAME

          static final String CONTROL_STREAM_NAME

      See Also:
        Constant Field Values

    - #### QUALIFIED_CONTROL_STREAM

          static final String QUALIFIED_CONTROL_STREAM

      See Also:
        Constant Field Values

    - #### CONTROL_SCHEMA

          static final String CONTROL_SCHEMA

      See Also:
        Constant Field Values

    - #### ERROR_STREAM_NAME

          static final String ERROR_STREAM_NAME

      See Also:
        Constant Field Values

    - #### QUALIFIED_ERROR_STREAM

          static final String QUALIFIED_ERROR_STREAM

      See Also:
        Constant Field Values

    - #### ERROR_SCHEMA

          static final String ERROR_SCHEMA

      See Also:
        Constant Field Values

    - #### STAT_STREAM_NAME

          static final String STAT_STREAM_NAME

      See Also:
        Constant Field Values

    - #### QUALIFIED_STAT_STREAM

          static final String QUALIFIED_STAT_STREAM

      See Also:
        Constant Field Values

    - #### STAT_SCHEMA

          static final String STAT_SCHEMA

      See Also:
        Constant Field Values

    - #### STAT_STREAM_NAME_V3

          static final String STAT_STREAM_NAME_V3

      See Also:
        Constant Field Values

    - #### QUALIFIED_STAT_STREAM_V3

          static final String QUALIFIED_STAT_STREAM_V3

      See Also:
        Constant Field Values

    - #### STAT_SCHEMA_V3

          static final String STAT_SCHEMA_V3

      See Also:
        Constant Field Values

    - #### CONNECTIONS_STREAM_NAME

          static final String CONNECTIONS_STREAM_NAME

      See Also:
        Constant Field Values

    - #### QUALIFIED_CONNECTIONS_STREAM

          static final String QUALIFIED_CONNECTIONS_STREAM

      See Also:
        Constant Field Values

    - #### CONNECTIONS_SCHEMA

          static final String CONNECTIONS_SCHEMA

      See Also:
        Constant Field Values

    - #### SUBSCRIPTIONS_STREAM_NAME

          static final String SUBSCRIPTIONS_STREAM_NAME

      See Also:
        Constant Field Values

    - #### QUALIFIED_SUBSCRIPTIONS_STREAM

          static final String QUALIFIED_SUBSCRIPTIONS_STREAM

      See Also:
        Constant Field Values

    - #### SUBSCRIPTIONS_SCHEMA

          static final String SUBSCRIPTIONS_SCHEMA

      See Also:
        Constant Field Values

    - #### CONTROL_SUBSYS_LEN

          static final int CONTROL_SUBSYS_LEN

      See Also:
        Constant Field Values

    - #### CONTROL_PARAM_LEN

          static final int CONTROL_PARAM_LEN

      See Also:
        Constant Field Values

    - #### CLUSTER_EVENT_TYPE_QUORUM

          static final int CLUSTER_EVENT_TYPE_QUORUM

      Event type Quorum for Cluster Notification system tuple id field
      See Also:
        Constant Field Values

    - #### CLUSTER_EVENT_TYPE_NODE

          static final int CLUSTER_EVENT_TYPE_NODE

      Event type Node for Cluster Notification system tuple id field
      See Also:
        Constant Field Values

    - #### CLUSTER_EVENT_TYPE_PARTITION

          static final int CLUSTER_EVENT_TYPE_PARTITION

      Event type Partition for Cluster Notification system tuple id field
      See Also:
        Constant Field Values

    - #### CONTAINER_STATE_STARTING

          static final int CONTAINER_STATE_STARTING

      constants used in the ContainerState enum
      See Also:
        Constant Field Values

    - #### CONTAINER_STATE_START

          static final int CONTAINER_STATE_START

      See Also:
        Constant Field Values

    - #### CONTAINER_STATE_STOPPING

          static final int CONTAINER_STATE_STOPPING

      See Also:
        Constant Field Values

    - #### CONTAINER_STATE_STOPPED

          static final int CONTAINER_STATE_STOPPED

      See Also:
        Constant Field Values

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.